Get a specific corporation type
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/corporation-types/{corp_type_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/corporation-types/{corp_type_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/corporation-types/{corp_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_code": "<string>",
"corporation_type": "<string>"
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Corporation type not found!",
"type": "request",
"code": "corporation_type_not_found"
},
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get a specific corporation type
Returns detailed information about a specific corporation type identified by its unique corp_type_id.
GET
/
resources
/
corporation-types
/
{corp_type_id}
Get a specific corporation type
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Path Parameters
Unique identifier for the corporation type entry
Examples:
"de175027-612d-4103-a503-59ef0fe2849b"
"cc98bfcc-273d-4354-86ae-3b11b3bf42a1"
Response
Successful Response
Unique identifier for the corporation type entry
Examples:
"de175027-612d-4103-a503-59ef0fe2849b"
"cc98bfcc-273d-4354-86ae-3b11b3bf42a1"
Two-letter ISO 3166-1 alpha-2 country code where the registration number is issued
Required string length:
2Examples:
"BH"
"BD"
Official name of the corporation type in the specified country
Required string length:
1 - 255Examples:
"Limited Partnership (LP)"
"Private Limited Company (Ltd./Ltd.)"
⌘I